# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add To: to notification templates

Revision ID: 5aafb3c0172e
Revises: d6d6c2ffaa66
Create Date: 2021-08-05 14:46:56.428074

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "5aafb3c0172e"
down_revision = "d6d6c2ffaa66"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
    update notification_templates
    set template = E'To: {{destination_email}}\n' || template
    where template not like E'To: {{destination_email}}\n%'
    """
    )


def downgrade():
    op.execute(
        """
    update notification_templates
    set template = regexp_replace(template, E'^To: {{destination_email}}\n', '')
    where template like E'To: {{destination_email}}\n%'
    """
    )
