"""implement wf stage tracking

Revision ID: 75349359d3b6
Revises: c635a4694c6d
Create Date: 2023-03-07 13:24:29.392119

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "75349359d3b6"
down_revision = "c635a4694c6d"
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        "workflow_progress",
        sa.Column(
            "workflow_request_id",
            sa.Integer,
            sa.ForeignKey("workflow_requests.workflow_request_id"),
            primary_key=True,
            comment="The workflow request of interest",
        ),
        sa.Column(
            "stage_name",
            sa.String,
            nullable=False,
            primary_key=True,
            comment="The workflow stage to track progress for",
        ),
        sa.Column(
            "start_time",
            sa.DateTime(timezone=True),
            comment="The start time of this stage",
        ),
        sa.Column(
            "end_time",
            sa.DateTime(timezone=True),
            comment="The end time of this stage",
        ),
    )


def downgrade():
    op.drop_table("workflow_progress")
