"""update da/aod notifications

Revision ID: e00812d93608
Revises: 68a8ad53ad74
Create Date: 2023-04-04 10:41:18.048962

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = "e00812d93608"
down_revision = "68a8ad53ad74"
branch_labels = None
depends_on = None

new_greeting = """To Whom It May Concern,"""


def upgrade():
    op.execute(
        f"""
        UPDATE notification_templates
        SET template = replace(template, 'Dear DAs,', E'{new_greeting}')
        """
    )
    op.execute(
        f"""
        UPDATE notification_templates
        SET template = replace(template, 'Dear AOD,', E'{new_greeting}')
        """
    )
    op.execute(
        """
        UPDATE notification_templates
        SET description = replace(description, 'DAs', 'Stage 1 QA reviewer')
        """
    )
    op.execute(
        """
        UPDATE notification_templates
        SET description = replace(description, 'AOD', 'Stage 2 QA reviewer')
        """
    )
    op.execute(
        """
        UPDATE notification_templates
        SET name = 'stage_2_review'
        WHERE name = 'aod_review'
        """
    )
    op.execute(
        """
        UPDATE notification_templates
        SET name = 'qa_revisit'
        WHERE name = 'aod_revisit'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE notification_templates
        SET template = replace(template, E'{new_greeting}', 'Dear DAs,')
        """
    )
    op.execute(
        f"""
            UPDATE notification_templates
            SET template = replace(template, E'{new_greeting}', 'Dear AOD,')
            """
    )
    op.execute(
        """
        UPDATE notification_templates
        SET description = replace(description, 'Stage 1 QA reviewer', 'DAs')
        """
    )
    op.execute(
        """
        UPDATE notification_templates
        SET description = replace(description, 'Stage 2 QA reviewer', 'AOD')
        """
    )
    op.execute(
        """
        UPDATE notification_templates
        SET name = 'aod_review'
        WHERE name = 'stage_2_review'
        """
    )
    op.execute(
        """
        UPDATE notification_templates
        SET name = 'aod_revisit'
        WHERE name = 'qa_revisit'
        """
    )
